'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /**
                                                                                                                                                                                                                              * Created by Tears on 2017/8/26.
                                                                                                                                                                                                                              */


var List = function List(_ref) {
    var tableProps = _objectWithoutProperties(_ref, []);

    var onPaginationChange = tableProps.onPaginationChange,
        current = tableProps.current,
        total = tableProps.total,
        hidePagination = tableProps.hidePagination,
        pageSize = tableProps.pageSize,
        tableSize = tableProps.tableSize,
        bordered = tableProps.bordered,
        loading = tableProps.loading;


    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_antd.Table, _extends({}, tableProps, {
            rowKey: function rowKey(record) {
                return record.key ? record.key : record.id;
            },
            pagination: false,
            size: tableSize || 'middle',
            bordered: bordered ? true : false,
            loading: loading ? true : false
        })),
        _react2.default.createElement(
            'div',
            { style: { marginTop: '10px' } },
            !hidePagination ? _react2.default.createElement(_antd.Pagination, { style: { textAlign: 'right' }, defaultCurrent: 1, onChange: function onChange(page) {
                    onPaginationChange(page);
                }, pageSize: pageSize || 10, current: current, total: total }) : ''
        )
    );
};

exports.default = List;
//# sourceMappingURL=index.js.map