/**
 * Created by Tears on 2017/8/26.
 */
import React from 'react'
import {Form,Col} from 'antd'
import FilterComponents from './FilterComponent'
import moment from 'moment'
//fieldsProps=[{keyName:'',filterList:[{name:'',operator:'',value:''}]}]
/*  form搜索过滤器组件*/
const FilterItem=({componentProps,fieldsProps,
                      form:{
                          getFieldDecorator,
                          getFieldsValue ,
                          resetFields,
                      }})=>{
    const {type,placeholder,clearState,data,handler,radioButtonData,initValue} = componentProps


    const onChange=(payload)=>{
        const fields = getFieldsValue()

        let fieldsData={} //fieldsData={'keyName':[{name:'',operator:'',value:''}]}
        Object.keys(fields).map((key)=> {

            fieldsData[key] = []
            let filterList = fieldsProps.filterList
            let isMuilti = fieldsProps.isMulti
            if (isMuilti) {
                if (type === 'radioButton') {

                    if (filterList) {
                        if (payload && payload.target && payload.target.value !== 'all') {

                            let fieldItem = filterList[payload.target.value]
                            fieldItem.map(item => {
                                let field = {}
                                field.name = item.name || ''
                                field.operator = item.operator || ''
                                field.value = item.value

                                fieldsData[key].push(field)
                            })
                        }
                    }
                }
                if(type=='rangePicker'){
                    if(payload&&payload.length>0){
                        payload.map((item,index)=>{
                            let field = {}
                            field.name = filterList[index].name || ''
                            field.operator = filterList[index].operator || ''
                            field.value = item

                            fieldsData[key].push(field)
                        })
                    }


                }


            } else if (filterList.length > 0) {
                for (let filter of filterList) {
                    if(type==='select'){
                        if ((payload||payload>-1)&&payload!== 'all'){
                            let field = {}
                            field.name = filter.name || ''
                            field.operator = filter.operator || ''
                            field.value =payload
                            fieldsData[key].push(field)
                        } else {
                            continue
                        }
                    }else if (type === 'radioButton') {
                        if (payload && payload.target && payload.target.value !== 'all') {
                            let field = {}
                            field.name = filter.name || ''
                            field.operator = filter.operator || ''
                            field.value = payload.target.value

                            fieldsData[key].push(field)
                        } else {
                            continue
                            // fieldsData='clear'
                            // break
                        }
                    }else if (fields[key] !== 'all') {
                        let field = {}
                        field.name = filter.name || ''
                        field.operator = filter.operator || ''
                        field.value = fields[key]
                        fieldsData[key].push(field)
                    } else {
                        continue
                        // fieldsData='clear'
                        // break
                    }




                }
            }


        })
        console.info(fieldsData)

        handler(fieldsData)
    }
    const componentType={text:FilterComponents.getTextFilterComponent(placeholder,onChange),select:FilterComponents.getSelectFilterComponent({data:data,placeholder:placeholder,handler:onChange}),
        search:FilterComponents.getSearchFilterComponent(placeholder,onChange),
        radioButton:FilterComponents.getRadioGroupButton(onChange,radioButtonData),
        rangePicker:FilterComponents.getRangePickerCompent(onChange)
    }

    return (
        <div>
            {clearState?resetFields():''}
            {(type==='radioButton'||type==='select')?getFieldDecorator(fieldsProps.keyName,{initialValue: initValue?initValue:'all'})(componentType[type]):type==='rangePicker'?getFieldDecorator(fieldsProps.keyName,{initialValue: initValue&&initValue.length>1?[moment(initValue[0],'YYYY-MM-DD'),moment(initValue[1],'YYYY-MM-DD')]:[]})(componentType[type]):getFieldDecorator(fieldsProps.keyName)(componentType[type])}
        </div>
    )

}
export default Form.create()(FilterItem)
