/**
 * Created by Tears on 2017/8/28.
 */
/**
 * Created by Tears on 2017/8/28.
 */
import {Input,Select,Radio,DatePicker } from 'antd'
import React from 'react'
import moment from 'moment'
const Option = Select.Option
const Search = Input.Search
const RadioButton = Radio.Button;
const RadioGroup = Radio.Group;

const {RangePicker} = DatePicker
export default class FilterComponents {
    constructor(){}

    static getRangePickerCompent=(handler,)=>{
        return <RangePicker onChange={handler} />
    }

    static getTextFilterComponent=(placeholder,handler)=>{
        return <Input type='text' placeholder={placeholder} onBlur={handler}/>
    }

    static getSelectFilterComponent=({data,placeholder,handler})=>{
        const getSelectOptions = (data)=>{
            if( data && data.length>0){
                return data.map((item,index)=>{
                    return <Option key={index} value={item.value||''}>{item.name}</Option>
                })
            }
        }

        return <Select onChange={handler} style={{ width: '100%' }}  showSearch placeholder={placeholder} >{getSelectOptions(data)}</Select>

    }

    static getSearchFilterComponent=(placeholder,handler)=>{


        return <Search placeholder={placeholder} onSearch={value =>{handler(value)}}/>
    }

    static  getRadioGroupButton =(handler,radioButtonData)=>{

        const getRadioItem = (data)=>{
            if(data&&data.length>0){
                return data.map((item,index)=>{
                    return <RadioButton key={index}  value={item.value}>{item.content}</RadioButton>
                })
            }
            return ''
        }

        return <RadioGroup  onChange={handler}>{getRadioItem(radioButtonData)}</RadioGroup>



    }



}

