/**
 * Created by Tears on 2017/8/26.
 */
import React from 'react'
import {Table,Pagination} from 'antd'

const List=({...tableProps})=>{
    const {onPaginationChange,current,total,hidePagination,pageSize,tableSize,bordered,loading}=tableProps

    return (
        <div>

            <Table
                {...tableProps}
                rowKey={record =>{return record.key?record.key: record.id}}
                pagination={false}
                size={tableSize||'middle'}
                bordered={bordered?true:false}
                loading={loading?true:false}
            />
            <div style={{marginTop:'10px'}}>
                {(!hidePagination)?<Pagination style={{textAlign:'right'}} defaultCurrent={1}  onChange={(page)=>{onPaginationChange(page)}} pageSize={pageSize||10} current={current} total={total} />
                    :''
                }

            </div>

        </div>
    )
}



export  default List
